<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<link rel="stylesheet" type="text/css" href="../node_modules/kaitek.km/dist/km.min.css"/>
	<script src="../node_modules/kaitek.km/dist/km.js"></script>
	<style>
		.flex-container {
		  display: flex;
		  flex-wrap: wrap;
		  align-items: flex-start;
		}
		
		.flex-container>div {
		  margin: 5px;
		  flex-grow: 0;
		}
	</style>
</head>
<body>
	<script type="text/javascript">
		var script = document.createElement('script');
		script.src = (document.baseURI?document.baseURI:'').replace('?h=tmp','')+'socket.io/socket.io.js';
		var first = document.getElementsByTagName('script')[0];
		first.parentNode.insertBefore(script, first);
		window.d = {};
		function init(){
			if(typeof io=='undefined'){
				window.setTimeout(init, 100);
			}else{
				d.socket = io.connect(document.baseURI);
				window.app = new km.app({});
				app.watch=new km.watch({parent:app,renderTo:app.getBody()});
				app.watch.on("js_cn_watch",function(obj){
					d.socket.emit('js_cn_watch', obj);
				});
				d.socket.on("cn_js_watch",function(obj){
					app.watch.trigger("cn_js_watch",obj);
				});
				d.socket.on('connecting', function () {
				});
				
				d.socket.on('connect', function(s){
					app.watch.trigger("cn_js_watch",{event:"connect"});
				});
				
				d.socket.on('reconnecting', function () {
				});
				
				d.socket.on('reconnect', function () {
				});
				
				d.socket.on('reconnect_failed', function () {
				});
				
				d.socket.on('disconnect', function (data) {
					app.watch.trigger("cn_js_watch",{event:"disconnect",data:data});
				});
				
				d.socket.on('sendqueuechange',function(len){
					
				});
				
				d.socket.on('receivequeuechange',function(len){
					
				});
				
				window.onbeforeunload = function(event){
					if(d && d.socket)
						d.socket.disconnect();
				};
			}
		};
		init();
	</script>
</body>
</html>
